curl -X GET https://api.tracklysms.com/api/v1/contacts/+14155551234 \
-H "X-Api-Key: your_api_key"
import requests
response = requests.get(
"https://api.tracklysms.com/api/v1/contacts/+14155551234",
headers={"X-Api-Key": "your_api_key"}
)
print(response.json())
# {"contact": null, "deprecated": true}
{
"contact": null,
"deprecated": true
}
API Reference (v1 - Deprecated)
Get Contact
Get a contact by phone number (deprecated, no-op)
GET
/
v1
/
contacts
/
{msisdn}
curl -X GET https://api.tracklysms.com/api/v1/contacts/+14155551234 \
-H "X-Api-Key: your_api_key"
import requests
response = requests.get(
"https://api.tracklysms.com/api/v1/contacts/+14155551234",
headers={"X-Api-Key": "your_api_key"}
)
print(response.json())
# {"contact": null, "deprecated": true}
{
"contact": null,
"deprecated": true
}
Deprecated & No-Op: This endpoint is a compatibility stub that always returns null.
Path Parameters
string
required
The phone number to look up
Response
object
Always
nullboolean
Always
truecurl -X GET https://api.tracklysms.com/api/v1/contacts/+14155551234 \
-H "X-Api-Key: your_api_key"
import requests
response = requests.get(
"https://api.tracklysms.com/api/v1/contacts/+14155551234",
headers={"X-Api-Key": "your_api_key"}
)
print(response.json())
# {"contact": null, "deprecated": true}
{
"contact": null,
"deprecated": true
}
Looking Up Contacts
To look up contact information, use the Trackly SMS dashboard:- Navigate to Contact Lookup in the sidebar
- Use the search bar to find a contact by phone number
- Click the contact to view their full profile and history